C# Class Revit.SDK.Samples.CurvedBeam.CS.Command

Inheritance: IExternalCommand
Show file Open project: AMEE/revit

Public Methods

Method Description
CreateArc ( double z ) : Arc

create an horizontal arc instance with specified z coordinate value

CreateCurvedBeam ( FamilySymbol fsBeam, Curve curve, Level level ) : bool

create a curved beam

CreateEllipse ( double z ) : Ellipse

create a horizontal partial ellipse instance with specified z coordinate value

CreateNurbSpline ( double z ) : NurbSpline

create a horizontal nurbspline instance with specified z coordinate value

Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result

Implement this method as an external command for Revit.

Private Methods

Method Description
Initialize ( ) : bool

iterate all the symbols of levels and beams

Method Details

CreateArc() public method

create an horizontal arc instance with specified z coordinate value
public CreateArc ( double z ) : Arc
z double
return Arc

CreateCurvedBeam() public method

create a curved beam
public CreateCurvedBeam ( FamilySymbol fsBeam, Curve curve, Level level ) : bool
fsBeam FamilySymbol beam type
curve Curve Curve of this beam.
level Level beam's reference level
return bool

CreateEllipse() public method

create a horizontal partial ellipse instance with specified z coordinate value
public CreateEllipse ( double z ) : Ellipse
z double
return Ellipse

CreateNurbSpline() public method

create a horizontal nurbspline instance with specified z coordinate value
public CreateNurbSpline ( double z ) : NurbSpline
z double
return NurbSpline

Execute() public method

Implement this method as an external command for Revit.
public Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result
commandData ExternalCommandData An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view.
message string A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command.
elements Autodesk A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation.
return Autodesk.Revit.UI.Result